<?php
// $Id: taxonomy_single_tag.pages.inc,v 1.1 2009/11/04 08:19:08 sinasalek Exp $

/**
 * @file
 * Page callbacks for the taxonomy_single_tag module.
 */

/**
 * Helper function for autocompletion
 */
function taxonomy_single_tag_autocomplete($vid, $term_name = '') {
  // similar to taxonomy_autocomplete, but without taking care of commas
  // sinse a single value would be allowed
  
  // delegate to taxonomy_autocomplete
  // which requires make it react to a single value
  // therefore, use exactly the same code to escape character for a single tag
  
  // Commas and quotes in terms are special cases, so encode 'em.
  if (strpos($term_name, ',') !== FALSE || strpos($term_name, '"') !== FALSE) {
    $last_string = '"'. str_replace('"', '""', $term_name) .'"';
  }
  else {
    $last_string = $term_name;
  }
  
  module_load_include('inc', 'taxonomy', 'taxonomy.pages');
  return taxonomy_autocomplete($vid, $last_string);
}
